Subject: RE: Perl 5.7.2 (GDB breaks in 1.3.3-2 on certain Win2000 machines )
From: Kris Erickson <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 10 Oct 2001 12:58:53 -0700

Sorry, I screwed something up there, I guess I only cvs updated uinfo.cc
and 
something went whacked with the compile...  The code must have been from
the 
snipped version I created yesterday and the source that GDB was reading
from the
CVS version.  I did a cvs co to make sure I now have the latest version
and
that new version is compiling now...  I will report as soon as it is
done to
what happens...

Kris

>-----Original Message-----
>From: John Peacock [mailto:[email-masked]]
>Sent: Wednesday, October 10, 2001 12:33 PM
>To: Kris Erickson
>Cc: [email-masked]'
>Subject: Re: Perl 5.7.2 (GDB breaks in 1.3.3-2 on certain Win2000
>machines)
>
>> 
>> More weirdness...  The latest CVS version version of uinfo.cc does
not
>> seem to break, although the compiler seems to have optimized out the
>> second call to NetUserGetInfo()...  However, the first call to
>> NetUserGetInfo
>> seems to succeed...  Here is a debugging session...
>
>That is very odd.  Are you sure you have the CVS version in sync with 
>the cygwin1.dll you are loading?  There is no way that the compiler 
>can know enough to optimize that second call out.
>
>John
>
>-----Original Message-----
>From: Christopher Faylor [mailto:[email-masked]]
>Sent: Wednesday, October 10, 2001 12:33 PM
>To: [email-masked]
>Cc: [email-masked]
>Subject: Re: Perl 5.7.2 (GDB breaks in 1.3.3-2 on certain Win2000
>machines )
>
>
>On Wed, Oct 10, 2001 at 12:05:11PM -0700, Kris Erickson wrote:
>>More weirdness...  The latest CVS version version of uinfo.cc does not

>>seem to break, although the compiler seems to have optimized out the 
>>second call to NetUserGetInfo()...  However, the first call to
>>NetUserGetInfo
>>seems to succeed...  Here is a debugging session...
>
>Finally!  Feedback!
>
>FWIW, the CVS version is the same as the snapshot.  There have been
>no winsup/cygwin CVS updates since the snapshot.
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/